Package tigase.server.xmppsession

## Interface SessionManagerHandler

- All Known Subinterfaces:
    `SessionManagerClusteredIfc`
  All Known Implementing Classes:
    `JabberIqPrivacy.PrivacyListOfflineCache`, `SessionManager`, `SessionManagerClustered`

      public interface SessionManagerHandler

  Describe interface SessionManagerHandler here.
  Created: Sat Feb 18 13:27:58 2006
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMMIT_HANDLER_KEY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JID` | `getComponentId()` |
    `void` | `handleDomainChange​(java.lang.String domain, XMPPResourceConnection conn)` |
    `void` | `handleLogin​(BareJID userId, XMPPResourceConnection conn)` |
    `void` | `handleLogout​(BareJID userId, XMPPResourceConnection conn)` |
    `void` | `handlePresenceSet​(XMPPResourceConnection conn)` |
    `void` | `handleResourceBind​(XMPPResourceConnection conn)` |
    `boolean` | `isLocalDomain​(java.lang.String domain, boolean includeComponents)` |

- - ### Field Detail

    - #### COMMIT_HANDLER_KEY

          static final java.lang.String COMMIT_HANDLER_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getComponentId

          JID getComponentId()

    - #### handleLogin

          void handleLogin​(BareJID userId,
                           XMPPResourceConnection conn)

    - #### handleDomainChange

          void handleDomainChange​(java.lang.String domain,
                                  XMPPResourceConnection conn)

    - #### handleLogout

          void handleLogout​(BareJID userId,
                            XMPPResourceConnection conn)

    - #### handlePresenceSet

          void handlePresenceSet​(XMPPResourceConnection conn)

    - #### handleResourceBind

          void handleResourceBind​(XMPPResourceConnection conn)

    - #### isLocalDomain

          boolean isLocalDomain​(java.lang.String domain,
                                boolean includeComponents)